#version 300 es

precision mediump float;

uniform float uRate;

in vec4 aPosition;
in vec2 aTextureCoord;

out vec2 vUV;
out vec2 vUVRev;

void main() {
    gl_Position = aPosition;
    vUVRev = vec2(aTextureCoord.x, 1.0-aTextureCoord.y);

    vUV = vec2(aTextureCoord.x, aTextureCoord.y + uRate + 0.01* uRate);
}